For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Employment object
          • GET/employments
          • GET/employments/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsEmployments

/employments/{id}

GET
/hris/v1/employments/:id
GET
/api/hris/v1/employments/:id
$curl -G https://api.merge.dev/api/hris/v1/employments/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=employee,pay_group \
> --data-urlencode remote_fields=employment_type,flsa_status,pay_frequency,pay_period \
> --data-urlencode show_enum_origins=employment_type,flsa_status,pay_frequency,pay_period
200Retrieved
1{
2 "id": "65d8ffd0-211b-4ba4-b85a-fbe2ce220982",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "employee": "0958cbc6-6040-430a-848e-aafacbadf4ae",
7 "job_title": "Executive Assistant to Tom Wambsgans",
8 "pay_rate": 50000,
9 "pay_period": "YEAR",
10 "pay_frequency": "BIWEEKLY",
11 "pay_currency": "USD",
12 "pay_group": "d4e4837f-9900-484c-ac40-528365bb08ef",
13 "flsa_status": "EXEMPT",
14 "effective_date": "2023-10-06T18:42:34Z",
15 "employment_type": "FULL_TIME",
16 "remote_was_deleted": true,
17 "field_mappings": {
18 "organization_defined_targets": {
19 "custom_key": "custom_value"
20 },
21 "linked_account_defined_targets": {
22 "custom_key": "custom_value"
23 }
24 },
25 "remote_data": [
26 {
27 "path": "/jobs",
28 "data": null
29 }
30 ]
31}

Returns an Employment object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/employments

Next

The Group object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
employeestring or nullformat: "uuid"
The employee holding this position.
job_titlestring or null
The position's title.
pay_ratedouble or null
The position's pay rate.
pay_periodenum or null

The time period this pay rate encompasses.

  • HOUR - HOUR
  • DAY - DAY
  • WEEK - WEEK
  • EVERY_TWO_WEEKS - EVERY_TWO_WEEKS
  • SEMIMONTHLY - SEMIMONTHLY
  • MONTH - MONTH
  • QUARTER - QUARTER
  • EVERY_SIX_MONTHS - EVERY_SIX_MONTHS
  • YEAR - YEAR
pay_frequencyenum or null

The position’s pay frequency.

  • WEEKLY - WEEKLY
  • BIWEEKLY - BIWEEKLY
  • MONTHLY - MONTHLY
  • QUARTERLY - QUARTERLY
  • SEMIANNUALLY - SEMIANNUALLY
  • ANNUALLY - ANNUALLY
  • THIRTEEN-MONTHLY - THIRTEEN-MONTHLY
  • PRO_RATA - PRO_RATA
  • SEMIMONTHLY - SEMIMONTHLY
pay_currencyenum or null
The position's currency code. The currency code in ISO 4217 format.
pay_groupstring or nullformat: "uuid"
The employment's pay group
flsa_statusenum or null

The position’s FLSA status.

  • EXEMPT - EXEMPT
  • SALARIED_NONEXEMPT - SALARIED_NONEXEMPT
  • NONEXEMPT - NONEXEMPT
  • OWNER - OWNER
Allowed values:
effective_datedatetime or null
The position's effective date.
employment_typeenum or null

The position’s type of employment.

  • FULL_TIME - FULL_TIME
  • PART_TIME - PART_TIME
  • INTERN - INTERN
  • CONTRACTOR - CONTRACTOR
  • FREELANCE - FREELANCE
Allowed values:
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more